# CEGUI::MouseEventArgs Class Reference

EventArgs based class that is used for objects passed to input event handlers concerning mouse input. More...

Inheritance diagram for CEGUI::MouseEventArgs:

[legend]
Collaboration diagram for CEGUI::MouseEventArgs:

[legend]
List of all members.

## Public Member Functions

| MouseEventArgs (Window *wnd)

## Public Attributes

Point | position
| holds current mouse position.
Vector2 | moveDelta
| holds variation of mouse position from last mouse input
MouseButton | button
| one of the MouseButton enumerated values describing the mouse button causing the event (for button inputs only)
uint | sysKeys
| current state of the system keys and mouse buttons.
float | wheelChange
| Holds the amount the scroll wheel has changed.
uint | clickCount
| Holds number of mouse button down events currently counted in a multi-click sequence (for button inputs only).

## Detailed Description

EventArgs based class that is used for objects passed to input event handlers concerning mouse input.